package com.ssj.bean.weixin.order.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 
 * 企业付款给用户，
 */
@Entity
@Table(name = "tb_pay_business_to_user")
public class PayB2C  extends BaseEntity{
	
	 /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String userId;// 用户ID
	 
	private BigDecimal amount;//`` '支付金额',
	 
	private Integer payStatus;//`` 支付状态：0-失败，1-成功' 2 待支付,3付款中,10没有配置馆方收款账号
	private Date createTime;// `` 生成时间
	
	
	private String requestStataus;//代付请求，返回结果  0成功
	private String requestParameter;//请求参数。
	private String requestResult;//请求返回结果
	private Date   requestTime;// ``代付请求 生成时间
	
	
	private String  failMessage;//失败原因
	private String flowNumber;//银行返回的流水号
	
	private String flowResult;//流水请求返回结果
	
	private Date payTime;// `` 支付时间
	private Integer type;//1退款，2打款 
	private String orderNo;  //订单号
	

	
	@Column(name = "user_id") 
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}


	@Column(name = "amount") 
	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	@Column(name = "pay_status") 
	public Integer getPayStatus() {
		return payStatus;
	}

	public void setPayStatus(Integer payStatus) {
		this.payStatus = payStatus;
	}

	@Column(name = "create_time", updatable = false) 
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(name = "order_no") 
	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	@Column(name = "pay_time", insertable = false) 
	public Date getPayTime() {
		return payTime;
	}

	public void setPayTime(Date payTime) {
		this.payTime = payTime;
	}

	public String getRequestParameter() {
		return requestParameter;
	}

	public void setRequestParameter(String requestParameter) {
		this.requestParameter = requestParameter;
	}

	public String getRequestResult() {
		return requestResult;
	}

	public void setRequestResult(String requestResult) {
		this.requestResult = requestResult;
	}

	public String getFlowNumber() {
		return flowNumber;
	}

	public void setFlowNumber(String flowNumber) {
		this.flowNumber = flowNumber;
	}

	public String getFlowResult() {
		return flowResult;
	}

	public void setFlowResult(String flowResult) {
		this.flowResult = flowResult;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getFailMessage() {
		return failMessage;
	}

	public void setFailMessage(String failMessage) {
		this.failMessage = failMessage;
	}

	public String getRequestStataus() {
		return requestStataus;
	}

	public void setRequestStataus(String requestStataus) {
		this.requestStataus = requestStataus;
	}
	@Column(insertable = false) 
	public Date getRequestTime() {
		return requestTime;
	}

	public void setRequestTime(Date requestTime) {
		this.requestTime = requestTime;
	}
	
	
}
